unit CtrlAltDel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TCtrlAltDel = class(TComponent)
  private
    FActive:boolean;
    procedure SetActiveSt(Value: boolean);
    { Private declarations }
  protected
    { Protected declarations }
    procedure SetMode;
    procedure UnSetMode;
  public
    { Public declarations }
    constructor Create(AOwner: TComponent);override;
  published
    { Published declarations }
    property Active:boolean Read FActive write SetActiveSt;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Ray Adams', [TCtrlAltDel]);
end;




{ TCtrlAltDel }

constructor TCtrlAltDel.Create(AOwner: TComponent);
begin
inherited Create(AOwner);
FActive:=true;
if not (csDesigning in ComponentState) then SetMode;
end;

procedure TCtrlAltDel.SetActiveSt;
begin
if (csDesigning in ComponentState) then
   begin
   FActive:=Value;
   exit;
   end;
if Value=FActive then exit;
FActive:=Value;
if FActive then
   SetMode else UnSetMode;
end;

procedure TCtrlAltDel.SetMode;
begin
SystemParametersInfo(SPI_SCREENSAVERRUNNING, 1, nil,0)
end;

procedure TCtrlAltDel.UnSetMode;
begin
SystemParametersInfo(SPI_SCREENSAVERRUNNING, 0,nil, 0);
end;

end.
 